XhtmlTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.html.XhtmlTag,XhtmlTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class XhtmlTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.html.XhtmlTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class XhtmlTag
extends javax.servlet.jsp.tagext.TagSupport

This tag tells all other html taglib tags to render themselves in xhtml. It has no attributes; it's presence in a page turns on xhtml.

Example:
<html:xhtml/>

Author:
  David Graham
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`XhtmlTag()` Constructor for XhtmlTag.

Method Summary
`int` | `doEndTag()`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XhtmlTag

    public XhtmlTag()

  Constructor for XhtmlTag.

Method Detail

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
    `javax.servlet.jsp.JspException`
  See Also:
    `Tag.doEndTag()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation